Package: org.gradle.api.artifacts

## [Java] Interface ConfigurablePublishArtifact

- org.gradle.api.artifacts.ConfigurablePublishArtifact

- All Superinterfaces:
    Buildable, PublishArtifact

  A PublishArtifact whose properties can be modified.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ConfigurablePublishArtifact` | `builtBy(Object... tasks)` Registers some tasks which build this artifact.
    `void` | `setClassifier(String classifier)` Sets the classifier of this artifact.
    `void` | `setExtension(String extension)` Sets the extension of this artifact.
    `void` | `setName(String name)` Sets the name of this artifact.
    `void` | `setType(String type)` Sets the type of this artifact.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface PublishArtifact` | `getClassifier, getDate, getExtension, getFile, getName, getType`
    `interface Buildable` | `getBuildDependencies`

- - ### Method Detail

    - #### public ConfigurablePublishArtifact builtBy(Object... tasks)

      Registers some tasks which build this artifact.

      Parameters:
        `tasks` - The tasks. These are evaluated as per Task.dependsOn.
      Returns:
        this

    - #### public void setClassifier(String classifier)

      Sets the classifier of this artifact.

      Parameters:
        `classifier` - The classifier. May be null.

    - #### public void setExtension(String extension)

      Sets the extension of this artifact.

      Parameters:
        `extension` - The extension. Should not be null.

    - #### public void setName(String name)

      Sets the name of this artifact.

      Parameters:
        `name` - The name. Should not be null.

    - #### public void setType(String type)

      Sets the type of this artifact.

      Parameters:
        `type` - The type. Should not be null.